(function () {    
    var resetButton = function (){
        this.className = this.getAttribute('data-class');
    };
    
    [].forEach.call(document.getElementsByClassName('button'), function (button){
        button.addEventListener('touchstart', function (){
            this.setAttribute('data-class', this.className);
            if (!button.disabled) {
                this.className += ' pressed';
            }
        });

        button.addEventListener('touchend', resetButton, false);
        button.addEventListener('touchmove', resetButton, false);

    }, false);

    var handleResume = function(e) {
	// We just resumed (or started the app). Let's
	// register for onNewIntent and check for any intents
	// we already have
	// console.log('Resumed');
	CDV.WEBINTENT.onNewIntent(function(url) {
	    if (url) {
		// console.log('New', url);
		location.href = 'index.html#' + url;
	    }
	});
    };

    document.addEventListener('deviceready', function() {
	handleResume();
	document.addEventListener('resume', handleResume, false);
    }, false);
})();
